#ifndef ACCOUNTMANAGER_H
#define ACCOUNTMANAGER_H

#include <iostream>
#include <vector>
#include <sys/stat.h>
#include <fstream>

struct Account {
    std::string Email, Password;
};


class AccountManager
{
public:
    AccountManager(std::string pathToFile);
    Account getNextAccount();

    bool isDirExist(const std::string& path);
    bool createDir(std::string path, std::string atLinux = "-p ");

private:
    std::vector<Account> accounts;
    size_t lastReturnedAccount;
};

#endif // ACCOUNTMANAGER_H
